Get KYC status
curl --request GET \
--url https://api.privy.io/v1/users/{user_id}/kyc \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/users/{user_id}/kyc")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/users/{user_id}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/users/{user_id}/kyc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/users/{user_id}/kyc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"kyc_statuses": [
{
"provider": "bridge",
"environment": "production",
"status": "approved",
"tos": {
"status": "approved",
"link": "<string>"
},
"endorsements": [
{
"name": "sepa",
"status": "approved",
"missing": [
"<string>"
]
}
],
"capabilities": {
"payin_crypto": "active",
"payout_crypto": "active",
"payin_fiat": "active",
"payout_fiat": "active"
},
"requirements_due": [
"<string>"
],
"future_requirements_due": [
"<string>"
],
"kyc": {
"status": "approved",
"link": "<string>",
"rejection_reasons": [
"<string>"
]
}
}
],
"next_cursor": "<string>"
}KYC
Get KYC status
Returns KYC status for all providers the user has initiated KYC with.
GET
/
v1
/
users
/
{user_id}
/
kyc
Get KYC status
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the user.
Was this page helpful?
⌘I

